Group: System/Libraries
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
%define fedora 29
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global enable_tests 1

Name:           nodejs-runforcover
Version:        0.0.2
Release:        alt1_13
Summary:        Require plugin for JS code coverage

BuildArch:      noarch
%if 0%{?fedora} >= 19
%else
ExclusiveArch: %{ix86} x86_64 %{arm} noarch
%endif

#no license file included; "new BSD" indicated in package.json
License:        BSD
URL:            https://github.com/chrisdickinson/node-runforcover
Source0:        https://registry.npmjs.org/runforcover/-/runforcover-%{version}.tgz

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(bunker)
%endif
Source44: import.info

%description
Runforcover hooks into the `require()` function and uses nodejs-bunker to
provide code coverage data for your unit test library, whatever it might be.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/runforcover
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/runforcover

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs test/index.js
%endif

%files
%{nodejs_sitelib}/runforcover
%doc README.markdown

%changelog
* Mon Mar 18 2019 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_13
- fc update

* Thu Aug 01 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_4
- fc import

* Fri Jul 12 2013 Igor Vlasenko <viy@altlinux.ru> 0.0.2-alt1_3
- initial import

